package cn.superdesk.uniorder.dto.vo.inv;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class ViewInvoiceDetailsList implements Serializable {


	private static final long serialVersionUID = -5134632526785399550L;

	private String dzSn; //帐单编码

	private String ordersn;//订单号

	private String realname;//下单人

	private String buyerInfo;//买家信息
	private String billOrReceiptTime;//下单时间收货时间

	private String orderTime;//下单时间收货时间
	private String recipientGoodsTime;//下单时间收货时间

	private String orderId;//订单ID

	private String mdzId;//dz 帐单ID 用于查询

	private String invoiceNumber;//发票号

	private String enterpriseName;//企业名称\开票抬头

	private Integer orderNum;//订单数

	private BigDecimal invoiceAccount;//发票金额\订单金额 // 这个是对的？TODO 这个是账号吧？

	private Date invoiceTime;//开票时间

	private Integer invoiceStatus;//发票状态 0未邮寄 1已邮寄 2已作废

	private Integer backStatus;//回款状态  (0未回款\1部分回款\2全部回款c

	private Integer billStatus; //订单状态 (-1:已关闭,0:待付款,1:待发货,2:待收货,3:已完成
	private Integer payType; //支付方式 (0为未支付 1为余额支付 2在线支付 3 企业月结 11 后台付款 21 微信支付 22 支付宝支付 23 银联支付
	private String  sourceName;//订单类型 (企业采购 1\代客下单 2
	private String  remark;//备注


	private String     goodName;//商品名称
	private String     unit;//单位
	private Integer    total;//数量
	private BigDecimal unitPrice;//单价
	private BigDecimal dispatchPrice;//运费
	private BigDecimal totalPrice;//小计

	public String getDzSn() {
		return dzSn;
	}

	public void setDzSn(String dzSn) {
		this.dzSn = dzSn;
	}

	public String getOrdersn() {
		return ordersn;
	}

	public void setOrdersn(String ordersn) {
		this.ordersn = ordersn;
	}

	public String getOrderId() {
		return orderId;
	}

	public void setOrderId(String orderId) {
		this.orderId = orderId;
	}

	public String getInvoiceNumber() {
		return invoiceNumber;
	}

	public void setInvoiceNumber(String invoiceNumber) {
		this.invoiceNumber = invoiceNumber;
	}

	public String getEnterpriseName() {
		return enterpriseName;
	}

	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}

	public Integer getOrderNum() {
		return orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}

	public BigDecimal getInvoiceAccount() {
		return invoiceAccount;
	}

	public void setInvoiceAccount(BigDecimal invoiceAccount) {
		this.invoiceAccount = invoiceAccount;
	}

	public Date getInvoiceTime() {
		return invoiceTime;
	}

	public void setInvoiceTime(Date invoiceTime) {
		this.invoiceTime = invoiceTime;
	}

	public Integer getBackStatus() {
		return backStatus;
	}

	public void setBackStatus(Integer backStatus) {
		this.backStatus = backStatus;
	}

	public String getMdzId() {
		return mdzId;
	}

	public void setMdzId(String mdzId) {
		this.mdzId = mdzId;
	}

	public Integer getBillStatus() {
		return billStatus;
	}

	public void setBillStatus(Integer billStatus) {
		this.billStatus = billStatus;
	}

	public Integer getPayType() {
		return payType;
	}

	public void setPayType(Integer payType) {
		this.payType = payType;
	}

	public String getSourceName() {
		return sourceName;
	}

	public void setSourceName(String sourceName) {
		this.sourceName = sourceName;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getBuyerInfo() {
		return buyerInfo;
	}

	public void setBuyerInfo(String buyerInfo) {
		this.buyerInfo = buyerInfo;
	}

	public String getBillOrReceiptTime() {
		return billOrReceiptTime;
	}

	public void setBillOrReceiptTime(String billOrReceiptTime) {
		this.billOrReceiptTime = billOrReceiptTime;
	}

	public String getRealname() {
		return realname;
	}

	public void setRealname(String realname) {
		this.realname = realname;
	}

	public String getGoodName() {
		return goodName;
	}

	public void setGoodName(String goodName) {
		this.goodName = goodName;
	}

	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public BigDecimal getUnitPrice() {
		return unitPrice;
	}

	public void setUnitPrice(BigDecimal unitPrice) {
		this.unitPrice = unitPrice;
	}

	public BigDecimal getDispatchPrice() {
		return dispatchPrice;
	}

	public void setDispatchPrice(BigDecimal dispatchPrice) {
		this.dispatchPrice = dispatchPrice;
	}

	public BigDecimal getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(BigDecimal totalPrice) {
		this.totalPrice = totalPrice;
	}

	public Integer getInvoiceStatus() {
		return invoiceStatus;
	}

	public void setInvoiceStatus(Integer invoiceStatus) {
		this.invoiceStatus = invoiceStatus;
	}

	public String getOrderTime() {
		return orderTime;
	}

	public void setOrderTime(String orderTime) {
		this.orderTime = orderTime;
	}

	public String getRecipientGoodsTime() {
		return recipientGoodsTime;
	}

	public void setRecipientGoodsTime(String recipientGoodsTime) {
		this.recipientGoodsTime = recipientGoodsTime;
	}
}
